package xhttp3.internal.http;

import xhttp3.Headers;
import xhttp3.MediaType;
import xhttp3.ResponseBody;
import xio.BufferedSource;

public final class RealResponseBody extends ResponseBody {
   private final Headers headers;
   private final BufferedSource source;

   public RealResponseBody(Headers headers, BufferedSource source) {
      this.headers = headers;
      this.source = source;
   }

   public MediaType contentType() {
      String var1;
      return (var1 = this.headers.get("Content-Type")) != null ? MediaType.parse(var1) : null;
   }

   public long contentLength() {
      return HttpHeaders.contentLength(this.headers);
   }

   public BufferedSource source() {
      return this.source;
   }
}
